<h3 mat-dialog-title>{{ title }}</h3>

<mat-accordion class="example-headers-align">

    <mat-expansion-panel>
        <mat-expansion-panel-header>
            <mat-panel-title>
                User Details
            </mat-panel-title>
        </mat-expansion-panel-header>
        <!--<app-user-data [roles]="roles" [form]="form"></app-user-data>-->
        <app-user-data (mentorSkillsOutput)="addMentorData($event)" 
                       [mentorSkillColumns]="mentorSkillColumns" 
                       [mentorSkills]="mentorSkills" 
                       [technologies]="technologies" 
                       [roles]="roles" 
                       [form]="form"></app-user-data>
    </mat-expansion-panel>

    <div class="top-15" align="end">
        <button mat-raised-button (click)="close()">Close</button>&nbsp;
        <button class="btn-success" mat-raised-button [disabled]="!form.valid || !form.dirty" (click)="save()">Save</button>
    </div>

</mat-accordion>
